<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <script src="https://unpkg.com/vue"></script>
</head>

<body>

    <div id="desafio">
        <!-- 1) Exiba um alert quando o botão for clicado -->
        <div>
            <!-- <button>Exibir Alerta</button> -->
            <button v-on:click="exibeAlerta">Exibir Alerta</button>
        </div>

        <!-- 2) Escute o evento "keydown" e armazene o valor na propriedade data (dica: event.target.value) -->
        <div>
            <!-- <input type="text"> -->
            <input type="text" v-on:keydown="leituraInput">
            <p>{{ valor }}</p>
        </div>

        <!-- 3) Ajuste o exemplo 2 para disparar o evento "keydown" somente
        quando a tecla for ENTER -->
        <div>
            <!-- <input type="text"> -->
            <input type="text" v-on:keydown.enter="leituraInput">
            <p>{{ valor }}</p>
        </div>
    </div>
    <script src="app.js"></script>
</body>

</html>